Bug 34768 - panels in wizard do not get focus by default
panels in wizard do not get focus by default
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Dialogs&Wizards
3.x
All All
: P3 (vote)
: 4.x
Assigned To: Jiri Rechtacek
issues@platform
: FOCUS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-07 11:11 UTC by Pavel Buzek
Modified: 2008-12-22 21:55 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Buzek 2003-07-07 11:11:02 UTC
see this issue for example:
http://www.netbeans.org/issues/show_bug.cgi?id=31086

It actually does not work in any wizard so every
developer would need to fix it in every panel
(something like calling requestFocus in addNotify).
Comment 1 Jiri Rechtacek 2003-07-31 17:05:18 UTC
Yes, I'll try fix it for next release cycle. Wizard will request focus
for the first focusable component of being opened panel.
Comment 2 Jiri Rechtacek 2004-03-24 10:40:40 UTC
Fixed in WizardDescriptor, rev 1.93 with an another issue.
Comment 3 Tomas Danek 2005-07-08 13:03:48 UTC
verifying because issue 31086 was veryfied.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo